Forum Rule: Always post complete source code & details to reproduce any issue!
Results 1 to 8 of 8

Thread: Teensyduino 1.52 Install Problem

  1. #1
    Junior Member
    Join Date
    May 2020
    Location
    SE UK
    Posts
    4

    Teensyduino 1.52 Install Problem

    Hi,

    I'm trying to install Teensyduino to jump over some code for a project I'm interested in, bit not having much luck getting it to run. I have Arduino IDE 1.8.12 installed on Mac OS X 10.15.4, and that IDE works fine.

    Download Teensyduino 1.52
    Unzip in the downloads folder
    Copy to the Applications folder
    Delete Arduino IDE
    Run Teensyduino (click on the web download security prompt to Open)
    Teensyduino starts to load, and goes through 'Initialising Packages,' 'Preparing Boards' and 'Starting' and then just quits.

    Am I missing a step or some other config I need to do?

  2. #2
    Senior Member+ Frank B's Avatar
    Join Date
    Apr 2014
    Location
    Germany NRW
    Posts
    6,874
    Quote Originally Posted by Dubmeister View Post

    Am I missing a step or some other config I need to do?
    Don't delete the IDE?

  3. #3
    Junior Member
    Join Date
    May 2020
    Location
    SE UK
    Posts
    4
    Quote Originally Posted by Frank B View Post
    Don't delete the IDE?
    Hi Frank,

    I initially left the Arduino IDE installed, and I had the same problem with the Teensyduino IDE still failing part way through loading.

  4. #4
    Senior Member PaulStoffregen's Avatar
    Join Date
    Nov 2012
    Posts
    21,814
    Please give this one a try. Does it run on your Mac?

    https://www.pjrc.com/teensy/td_152/T..._Java8u252.zip

    This copy is the same, except the OpenJDK Java JRE is updated to a newer version that Arduino 1.8.12 normally uses.

    Another quick question - does your Mac have a multiple monitor setup? Apparently use on the secondary monitor or moving windows between monitors triggers some of these OpenJDK Java bugs.

  5. #5
    Junior Member
    Join Date
    May 2020
    Location
    SE UK
    Posts
    4
    Quote Originally Posted by PaulStoffregen View Post
    Please give this one a try. Does it run on your Mac?

    https://www.pjrc.com/teensy/td_152/T..._Java8u252.zip

    This copy is the same, except the OpenJDK Java JRE is updated to a newer version that Arduino 1.8.12 normally uses.

    Another quick question - does your Mac have a multiple monitor setup? Apparently use on the secondary monitor or moving windows between monitors triggers some of these OpenJDK Java bugs.
    Hi Paul,

    Thanks for the post! Sadly that version is doing the same thing for me - quitting partway through load.

    I'm on a MacBook Pro running an external 5K display, but the MBP is in clamshell mode. I've also just tried opening it up and just trying to run it on the MBPs display, but the same deal sadly.

  6. #6
    Senior Member PaulStoffregen's Avatar
    Join Date
    Nov 2012
    Posts
    21,814
    Oh no. Sorry this is so painful. Since the switch to OpenJDK, there have been problems with certain Macs running Catalina. It doesn't happen on Macbook Air running 10.15.4, which makes testing and troubleshooting difficult.

    As a quick sanity check, can you run the stand-alone Teensy Loader? The download is on this page.

    https://www.pjrc.com/teensy/loader_mac.html

    You should see the normal warning about downloaded from the internet, but otherwise this should run without errors on Catalina, as it is properly signed and notarized with Apple.

    If that works but Teensyduino 1.52 still won't run, maybe we can try an experiment later today? There is a patch pending on Arduino's issue tracker to have the IDE fall back to a Java install on your Mac. I could try to create a modified copy of Teensyduino 1.52 for you, with that patch. Maybe it will be able to run on your Mac if you download Java 8 from Oracle? It needs to be Java 8 (or 1.8), not 11 or 14.

  7. #7
    Junior Member
    Join Date
    May 2020
    Location
    SE UK
    Posts
    4
    Quote Originally Posted by PaulStoffregen View Post
    Oh no. Sorry this is so painful. Since the switch to OpenJDK, there have been problems with certain Macs running Catalina. It doesn't happen on Macbook Air running 10.15.4, which makes testing and troubleshooting difficult.

    As a quick sanity check, can you run the stand-alone Teensy Loader? The download is on this page.

    https://www.pjrc.com/teensy/loader_mac.html

    You should see the normal warning about downloaded from the internet, but otherwise this should run without errors on Catalina, as it is properly signed and notarized with Apple.

    If that works but Teensyduino 1.52 still won't run, maybe we can try an experiment later today? There is a patch pending on Arduino's issue tracker to have the IDE fall back to a Java install on your Mac. I could try to create a modified copy of Teensyduino 1.52 for you, with that patch. Maybe it will be able to run on your Mac if you download Java 8 from Oracle? It needs to be Java 8 (or 1.8), not 11 or 14.
    Hi Paul,

    The Teensy Loader seems to work OK!

    TD1.52 still doesn't load though. Happy to try a test version if you have the time, it would be very much appreciated.

    I will download and install Java 8 as well per your note, and see whether that makes a difference.

    Thanks!

  8. #8
    Junior Member
    Join Date
    May 2020
    Posts
    10
    i am using the default 1.52 from the download page with catalina just perfectly...just everything a little slow

    trying the new build now

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •